/***************************************************************************
 *   Copyright (C) 2007 by Andreas Loibl   *
 *   andreas@andreas-loibl.de   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef ACRILISTBOX_H
#define ACRILISTBOX_H

#include <qscrollview.h>

#include "acrilistwidget.h"
#include "acrilistinfo.h"

class AcriListBox : public QScrollView
{
    Q_OBJECT

    public:
        AcriListBox(QWidget* parent = 0, const char* name = 0);
        void insertItem(AcriListInfo info);
        void clear();
        AcriListInfo currentItem();
        void setCurrentItem(int index);
        int count();

    private slots:
        void doubleClickedItem(AcriListWidget* acrilist);
        void selectAcriList(AcriListWidget* acrilist);

    private:
        QWidget *acrilistBox;
        QVBoxLayout* layout;
        AcriListInfo::List m_acrilists;
        QValueList<AcriListWidget*> m_acrilistWidgetList;
        AcriListWidget* m_selectedAcriList;

    signals:
        void selected(AcriListWidget *acrilist);
        void selected(AcriListInfo *acrilist);
        void selected(int index);
        void selectionChanged();
        void doubleClicked(AcriListWidget *acrilist);
//         void doubleClicked(AcriListInfo *acrilist);
//         void doubleClicked(int *index);
};

#endif
