/*****************************************************************

Copyright (c) 1996-2000 the kicker authors. See file AUTHORS.

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL THE
AUTHORS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN
AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

******************************************************************/

#ifndef __acrilistinfo_h__
#define __acrilistinfo_h__

#include <qmap.h>
#include <qptrlist.h>
#include <qstring.h>
#include <qobject.h>
#include <qvaluevector.h>

class AcriListInfo
{
    public:
        typedef QValueVector<AcriListInfo> List;
        typedef QMap<QObject*, AcriListInfo*> Dict;
        AcriListInfo(const int& id = 0,
                    const QString& name = QString::null,
                    const QString& comment = QString::null,
                    const QString& icon = QString::null);

        int id() const { return m_id; }
        QString name() const { return m_name; }
        QString comment() const { return m_comment; }
        QString icon() const { return m_icon; }

    protected:
        void setID(int id) { m_id = id; }
        void setName(QString name) { m_name = name; }
        void setComment(QString comment) { m_comment = comment; }
        void setIcon(QString icon) { m_icon = icon; }

    private:
        int m_id;
        QString m_name;
        QString m_comment;
        QString m_icon;
};

#endif
