/***************************************************************************
 *   Copyright (C) 2007 by Andreas Loibl   *
 *   andreas@andreas-loibl.de   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/


#include "acritoxinstaller.h"
#include <kapplication.h>
#include <kaboutdata.h>
#include <kcmdlineargs.h>
#include <klocale.h>

static const char description[] =
    I18N_NOOP("Acritox' Installer");

static const char version[] = "0.1";

static KCmdLineOptions options[] =
{
//    { "+[URL]", I18N_NOOP( "Document to open" ), 0 },
    {"debug", I18N_NOOP( "Show debug output" ), 0},
    {"noraid", I18N_NOOP( "Do not use dmraid" ), 0},
    KCmdLineLastOption
};

int main(int argc, char **argv)
{
    KAboutData about("acritoxinstaller", I18N_NOOP("AcritoxInstaller"), version, description,
		     KAboutData::License_GPL, "(C) 2007 Andreas Loibl", 0, 0, "andreas@andreas-loibl.de");
    about.addAuthor( "Andreas Loibl", 0, "andreas@andreas-loibl.de" );
    KCmdLineArgs::init(argc, argv, &about);
    KCmdLineArgs::addCmdLineOptions( options );
    KApplication app;
    AcritoxInstaller *mainWin = 0;

    mainWin = new AcritoxInstaller();
    app.setMainWidget( mainWin );
    mainWin->show();

    // mainWin has WDestructiveClose flag by default, so it will delete itself.
    return app.exec();
}

